Table of Contents

Class: DefaultAuthorizer | Twisted-0.17.4/twisted/cred/authorizer.py
--- | ---

### I am an authorizer which requires no external dependencies.

I am implemented as a hash of Identities.

Base Classes |
--- | ---
Authorizer

Methods |
--- | ---
__init__ addIdentity getIdentityRequest removeIdentity
| __init__

    __init__ ( self )

Create a hash of identities.

| addIdentity

    addIdentity ( self,  identity )

Add an identity to me.

Exceptions |
--- | ---
KeyError( "Already have an identity by that name." )

| getIdentityRequest

    getIdentityRequest ( self,  name )

### Get a Deferred callback registration object.

I return a deferred (twisted.python.defer.Deferred) which will be called back to when an identity is discovered to be available (or errback for unavailable). It will be returned unarmed, so you must arm it yourself.

| removeIdentity

    removeIdentity ( self,  identityName )

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:12 2002 by HappyDoc version 2.0